apply plugin: 'com.android.application'

android {
    compileSdkVersion 30

    defaultConfig {
        applicationId "com.handheld.uhfdemo1"
        minSdkVersion 24
        targetSdkVersion 30
        versionCode 9
        versionName '1.9'
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.txt'
        }
    }

    lintOptions {
        checkReleaseBuilds false
        // Or, if you prefer, you can continue to check for errors in release builds,
        // but continue the build even when errors are found:
        abortOnError false
    }
    applicationVariants.all { variant ->
        variant.outputs.all {
            def fileName = "UHFDemo1_Com12_5V_v${defaultConfig.versionName}.apk"
            outputFileName = fileName
        }
    }
}

dependencies {
    //noinspection GradleCompatible
    implementation 'com.android.support:support-v4:20.0.0'
    implementation files('libs\\uhfcom12_5v_v1.6.2.jar')

}
